From 118aa36deefbac4cf54871fa9be0f2e54f67e74f Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <dgustafsson@postgresql.org>
Date: Wed, 17 May 2023 14:29:49 +0200
Subject: [PATCH v1] Add installation rules for AdjustUpgrade test module

Commit 52585f8f07 introduced a new Perl test module but didn't add
it as an installation target like the other modules are.

Backpatch into all supported versions.

Reported-by: Damir Belyalov <dam.bel07@gmail.com>
Discussion: https://postgr.es/m/CALH1Lgui397s_4AXWm1ZO_uCLOUVL1HAa0TO9CbdMy1kvokkzA@mail.gmail.com
Backpatch-through: v11
---
 src/test/perl/Makefile    | 2 ++
 src/test/perl/meson.build | 1 +
 2 files changed, 3 insertions(+)

diff --git a/src/test/perl/Makefile b/src/test/perl/Makefile
index 435b45a6cc..716bec76be 100644
--- a/src/test/perl/Makefile
+++ b/src/test/perl/Makefile
@@ -24,6 +24,7 @@ install: all installdirs
 	$(INSTALL_DATA) $(srcdir)/PostgreSQL/Test/RecursiveCopy.pm '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/RecursiveCopy.pm'
 	$(INSTALL_DATA) $(srcdir)/PostgreSQL/Test/Cluster.pm '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/Cluster.pm'
 	$(INSTALL_DATA) $(srcdir)/PostgreSQL/Test/BackgroundPsql.pm '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/BackgroundPsql.pm'
+	$(INSTALL_DATA) $(srcdir)/PostgreSQL/Test/AdjustUpgrade.pm '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/AdjustUpgrade.pm'
 	$(INSTALL_DATA) $(srcdir)/PostgreSQL/Version.pm '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Version.pm'
 
 uninstall:
@@ -32,6 +33,7 @@ uninstall:
 	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/RecursiveCopy.pm'
 	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/Cluster.pm'
 	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/BackgroundPsql.pm'
+	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/AdjustUpgrade.pm'
 	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Version.pm'
 
 endif
diff --git a/src/test/perl/meson.build b/src/test/perl/meson.build
index 101e8a2b8f..041e892029 100644
--- a/src/test/perl/meson.build
+++ b/src/test/perl/meson.build
@@ -12,4 +12,5 @@ install_data(
   'PostgreSQL/Test/RecursiveCopy.pm',
   'PostgreSQL/Test/Cluster.pm',
   'PostgreSQL/Test/BackgroundPsql.pm',
+  'PostgreSQL/Test/AdjustUpgrade.pm',
   install_dir: dir_pgxs / 'src/test/perl/PostgreSQL/Test')
-- 
2.32.1 (Apple Git-133)

